(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Constants = {
        SLNODE_PACKAGE: "slnodejs",
        SL_CACHE_FOLDER: "sl-cache",
        SL_ENV_VARS: {
            BASE_PATH: "SL_basePath",
            FILE_STORAGE: "SL_fileStorage"
        },
        SL_ARGS: {
            BUILD_COMMAND: "build",
            MOCHA_COMMAND: "mocha",
            RUN_COMMAND: "run",
            WORKSPACEPATH: "--workspacepath",
            SCM: "--scm",
            USE_BRANCH_COVERAGE: "--usebranchcoverage",
            BUILD_SESSION_ID: "--buildsessionid",
            SEND_CONTRIBUTORS: "--sendContributors",
            NEW_BUILD_SCANNER_PROTOCOL: "--useNewBuildScannerProtocol",
            USE_BABYLON: "--useBabylon",
            SKIP_UPGRADE: "--skipUpgrade",
            TOKEN: "--token",
            FAIL_BUILD: "--failbuild",
            RESOLVE_WITHOUT_HASH: "--resolveWithoutHash"
        }
    };
});
//# sourceMappingURL=constants.js.map