(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    //TODO: Try to set types for the constructor and methods.
    var SlKarmaReporter = /** @class */ (function () {
        function SlKarmaReporter(config, helper, logger, emitter) {
            this.testStart = 0;
            this.testEnd = 0;
            this.executionIdStarted = 0;
            this.executionIdEnded = 0;
            this.log = logger.create('sl-karma-reporter');
        }
        SlKarmaReporter.$inject = ['config', 'helper', 'logger', 'emitter'];
        return SlKarmaReporter;
    }());
    exports.SlKarmaReporter = SlKarmaReporter;
});
//# sourceMappingURL=reporter.js.map