(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "sl-node2"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Slnode2 = require("sl-node2");
    var Agent = /** @class */ (function () {
        function Agent() {
        }
        //TODO: Replace the log in something concrete.
        Agent.initAgent = function (log, userMessageHelper) {
            try {
                Agent.userMessageHelper = userMessageHelper;
                Agent.userMessageHelper.println('Initializing agent');
                if (Agent.slAgentInstance) {
                    log.info("Sealights Agent is already initialized. Overriding it with new instance.");
                }
                Agent.slAgentInstance = Slnode2.init({});
                Agent.userMessageHelper.println('Agent initialized');
            }
            catch (err) {
                this.userMessageHelper.printError('Initialization error. Error:' + err + "\n" + err.stack);
            }
        };
        Agent.getAgent = function () {
            return this.slAgentInstance;
        };
        Agent.slAgentInstance = null;
        return Agent;
    }());
    exports.Agent = Agent;
});
//# sourceMappingURL=agent.js.map