(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var versionExists = require("version-exists");
    var VersionExistsWrapper = /** @class */ (function () {
        function VersionExistsWrapper() {
        }
        VersionExistsWrapper.prototype.checkVersion = function (packageName, version) {
            return versionExists(packageName, version);
        };
        return VersionExistsWrapper;
    }());
    exports.VersionExistsWrapper = VersionExistsWrapper;
});
//# sourceMappingURL=version-exists-wrapper.js.map